# spec file for package libvorbis

Name:		libvorbis
Version:	1.3.6
Release:	5
Summary:	The Vorbis General Audio Compression Codec
Epoch:		1
License:	BSD
URL:		https://www.xiph.org/
Source:		https://downloads.xiph.org/releases/vorbis/%{name}-%{version}.tar.xz
BuildRequires:  gcc, pkgconfig(ogg) >= 1.0

# patch from Fedora, fix compile error on arm64 and CVE-2018-10392/10393 CVE-2017-14160
Patch0: libvorbis-1.3.6-git.patch

%description
Ogg Vorbis is a fully open, non-proprietary, patent- and royalty-free,
general-purpose compressed audio format for audio and music at fixed
and variable bitrates.
The libvorbis package provides both a standard encoder and decoder runtime
libraries  under a BSD license.

%package devel
Summary:        Development tools for Vorbis applications
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
The libvorbis-devel package contains the header files and documentation
needed to develop applications with Ogg Vorbis.

%package help
Summary: Documentation for developing Vorbis applications
BuildArch: noarch

%description help
Documentation for developing applications with libvorbis.

%prep

%autosetup -n %{name}-%{version}  -p1

%build
%configure --disable-static
%make_build

%install
%make_install docdir=%{_docdir}/%{name}
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%check
make check

%files
%doc AUTHORS
%license COPYING
%{_libdir}/libvorbis.so.*
%{_libdir}/libvorbisfile.so.*
%{_libdir}/libvorbisenc.so.*

%files devel
%{_includedir}/vorbis
%{_libdir}/libvorbis.so
%{_libdir}/libvorbisfile.so
%{_libdir}/libvorbisenc.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/vorbis.m4

%files help
%{_docdir}/%{name}/*
%exclude %{_docdir}/%{name}/doxygen-build.stamp

%ldconfig_scriptlets

%changelog
* Sat Jan 11 2020 BruceGW <gyl93216@163.com> - 1.3.6-5
- Remove useless patch

* Wed Sep 4 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.3.6-4
- Package init
